import 'package:flutter/material.dart';

class HeightButton extends StatelessWidget {
  final Color? shadowColor;
  final Color? backgroundColor;
  final String txt;
  final Color? txtColor;
  final VoidCallback? onPressed;
  const HeightButton(
      {Key? key,
      this.shadowColor,
      this.backgroundColor,
      required this.txt,
      this.txtColor,
      this.onPressed})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 60,
      child: OutlinedButton(
        style: ButtonStyle(
            shadowColor: MaterialStateProperty.all(shadowColor),
            backgroundColor: MaterialStateProperty.all(backgroundColor)),
        onPressed: onPressed,
        child: Text(
          txt,
          style: const TextStyle(
            fontSize: 18,
          ),
        ),
      ),
    );
  }
}
